#!/bin/dash
#
# Enable and tweak Compiz by default if compositing is functioning properly
# -Fewt
#

COMPOSITING="$(compiz-check >/dev/null 2>&1 && echo OK)"

if [ "$COMPOSITING" = "OK" ]; then
  gconftool-2 -t string -s /desktop/gnome/session/required_components/windowmanager "compiz-gtk"
  nohup compiz-gtk --replace >/dev/null 2>&1 &
  gconftool-2 -t bool -s /apps/compiz/general/screen0/options/sync_to_vblank "false"
  gconftool-2 -t int -s /apps/compiz/general/screen0/options/refresh_rate "200"
  gconftool-2 -t bool -s /apps/compiz/general/screen0/options/detect_refresh_rate "false"
  gconftool-2 --set -t list --list-type=string /apps/compiz/general/allscreens/options/active_plugins "[core,glib,gconf,gnomecompat,dbus,png,svg,video,screenshot,decoration,wobbly,clone,place,fade,minimize,wall,move,resize,switcher,scale,obs]"
else
  gconftool-2 -t string -s /desktop/gnome/session/required_components/windowmanager "metacity"
  nohup metacity --replace >/dev/null 2>&1 &
fi

sleep 3;
if [ ! -e "/home/$USER/.config/autostart/compiz-runonce.desktop" ]; then
  cp /etc/xdg/autostart/compiz-runonce.desktop /home/$USER/.config/autostart/compiz-runonce.desktop
  chmod 755 /home/$USER/.config/autostart/compiz-runonce.desktop
  echo "X-GNOME-Autostart-enabled=false" >> /home/$USER/.config/autostart/compiz-runonce.desktop
fi

awn-runonce.sh AWN
